module Blosum
  BLOSUM50 = {
    "A" => {
      "A" =>  5,
      "R" => -2,
      "N" => -1,
      "D" => -2,
      "C" => -1,
      "Q" => -1,
      "E" => -1,
      "G" =>  0,
      "H" => -2,
      "I" => -1,
      "L" => -2,
      "K" => -1,
      "M" => -1,
      "F" => -3,
      "P" => -1,
      "S" =>  1,
      "T" =>  0,
      "W" => -3,
      "Y" => -2,
      "V" =>  0,
      "B" => -2,
      "J" => -2,
      "Z" => -1,
      "X" => -1,
      "*" => -5
    },
    "R" => {
      "A" => -2,
      "R" =>  7,
      "N" => -1,
      "D" => -2,
      "C" => -4,
      "Q" =>  1,
      "E" =>  0,
      "G" => -3,
      "H" =>  0,
      "I" => -4,
      "L" => -3,
      "K" =>  3,
      "M" => -2,
      "F" => -3,
      "P" => -3,
      "S" => -1,
      "T" => -1,
      "W" => -3,
      "Y" => -1,
      "V" => -3,
      "B" => -1,
      "J" => -3,
      "Z" =>  0,
      "X" => -1,
      "*" => -5
    },
    "N" => {
      "A" => -1,
      "R" => -1,
      "N" =>  7,
      "D" =>  2,
      "C" => -2,
      "Q" =>  0,
      "E" =>  0,
      "G" =>  0,
      "H" =>  1,
      "I" => -3,
      "L" => -4,
      "K" =>  0,
      "M" => -2,
      "F" => -4,
      "P" => -2,
      "S" =>  1,
      "T" =>  0,
      "W" => -4,
      "Y" => -2,
      "V" => -3,
      "B" =>  5,
      "J" => -4,
      "Z" =>  0,
      "X" => -1,
      "*" => -5
    },
    "D" => {
      "A" => -2,
      "R" => -2,
      "N" =>  2,
      "D" =>  8,
      "C" => -4,
      "Q" =>  0,
      "E" =>  2,
      "G" => -1,
      "H" => -1,
      "I" => -4,
      "L" => -4,
      "K" => -1,
      "M" => -4,
      "F" => -5,
      "P" => -1,
      "S" =>  0,
      "T" => -1,
      "W" => -5,
      "Y" => -3,
      "V" => -4,
      "B" =>  6,
      "J" => -4,
      "Z" =>  1,
      "X" => -1,
      "*" => -5
    },
    "C" => {
      "A" => -1,
      "R" => -4,
      "N" => -2,
      "D" => -4,
      "C" =>  13,
      "Q" => -3,
      "E" => -3,
      "G" => -3,
      "H" => -3,
      "I" => -2,
      "L" => -2,
      "K" => -3,
      "M" => -2,
      "F" => -2,
      "P" => -4,
      "S" => -1,
      "T" => -1,
      "W" => -5,
      "Y" => -3,
      "V" => -1,
      "B" => -3,
      "J" => -2,
      "Z" => -3,
      "X" => -1,
      "*" => -5
    },
    "Q" => {
      "A" => -1,
      "R" =>  1,
      "N" =>  0,
      "D" =>  0,
      "C" => -3,
      "Q" =>  7,
      "E" =>  2,
      "G" => -2,
      "H" =>  1,
      "I" => -3,
      "L" => -2,
      "K" =>  2,
      "M" =>  0,
      "F" => -4,
      "P" => -1,
      "S" =>  0,
      "T" => -1,
      "W" => -1,
      "Y" => -1,
      "V" => -3,
      "B" =>  0,
      "J" => -3,
      "Z" =>  4,
      "X" => -1,
      "*" => -5
    },
    "E" => {
      "A" => -1,
      "R" =>  0,
      "N" =>  0,
      "D" =>  2,
      "C" => -3,
      "Q" =>  2,
      "E" =>  6,
      "G" => -3,
      "H" =>  0,
      "I" => -4,
      "L" => -3,
      "K" =>  1,
      "M" => -2,
      "F" => -3,
      "P" => -1,
      "S" => -1,
      "T" => -1,
      "W" => -3,
      "Y" => -2,
      "V" => -3,
      "B" =>  1,
      "J" => -3,
      "Z" =>  5,
      "X" => -1,
      "*" => -5
    },
    "G" => {
      "A" =>  0,
      "R" => -3,
      "N" =>  0,
      "D" => -1,
      "C" => -3,
      "Q" => -2,
      "E" => -3,
      "G" =>  8,
      "H" => -2,
      "I" => -4,
      "L" => -4,
      "K" => -2,
      "M" => -3,
      "F" => -4,
      "P" => -2,
      "S" =>  0,
      "T" => -2,
      "W" => -3,
      "Y" => -3,
      "V" => -4,
      "B" => -1,
      "J" => -4,
      "Z" => -2,
      "X" => -1,
      "*" => -5
    },
    "H" => {
      "A" => -2,
      "R" =>  0,
      "N" =>  1,
      "D" => -1,
      "C" => -3,
      "Q" =>  1,
      "E" =>  0,
      "G" => -2,
      "H" =>  10,
      "I" => -4,
      "L" => -3,
      "K" =>  0,
      "M" => -1,
      "F" => -1,
      "P" => -2,
      "S" => -1,
      "T" => -2,
      "W" => -3,
      "Y" =>  2,
      "V" => -4,
      "B" =>  0,
      "J" => -3,
      "Z" =>  0,
      "X" => -1,
      "*" => -5
    },
    "I" => {
      "A" => -1,
      "R" => -4,
      "N" => -3,
      "D" => -4,
      "C" => -2,
      "Q" => -3,
      "E" => -4,
      "G" => -4,
      "H" => -4,
      "I" =>  5,
      "L" =>  2,
      "K" => -3,
      "M" =>  2,
      "F" =>  0,
      "P" => -3,
      "S" => -3,
      "T" => -1,
      "W" => -3,
      "Y" => -1,
      "V" =>  4,
      "B" => -4,
      "J" =>  4,
      "Z" => -3,
      "X" => -1,
      "*" => -5
    },
    "L" => {
      "A" => -2,
      "R" => -3,
      "N" => -4,
      "D" => -4,
      "C" => -2,
      "Q" => -2,
      "E" => -3,
      "G" => -4,
      "H" => -3,
      "I" =>  2,
      "L" =>  5,
      "K" => -3,
      "M" =>  3,
      "F" =>  1,
      "P" => -4,
      "S" => -3,
      "T" => -1,
      "W" => -2,
      "Y" => -1,
      "V" =>  1,
      "B" => -4,
      "J" =>  4,
      "Z" => -3,
      "X" => -1,
      "*" => -5
    },
    "K" => {
      "A" => -1,
      "R" =>  3,
      "N" =>  0,
      "D" => -1,
      "C" => -3,
      "Q" =>  2,
      "E" =>  1,
      "G" => -2,
      "H" =>  0,
      "I" => -3,
      "L" => -3,
      "K" =>  6,
      "M" => -2,
      "F" => -4,
      "P" => -1,
      "S" =>  0,
      "T" => -1,
      "W" => -3,
      "Y" => -2,
      "V" => -3,
      "B" =>  0,
      "J" => -3,
      "Z" =>  1,
      "X" => -1,
      "*" => -5
    },
    "M" => {
      "A" => -1,
      "R" => -2,
      "N" => -2,
      "D" => -4,
      "C" => -2,
      "Q" =>  0,
      "E" => -2,
      "G" => -3,
      "H" => -1,
      "I" =>  2,
      "L" =>  3,
      "K" => -2,
      "M" =>  7,
      "F" =>  0,
      "P" => -3,
      "S" => -2,
      "T" => -1,
      "W" => -1,
      "Y" =>  0,
      "V" =>  1,
      "B" => -3,
      "J" =>  2,
      "Z" => -1,
      "X" => -1,
      "*" => -5
    },
    "F" => {
      "A" => -3,
      "R" => -3,
      "N" => -4,
      "D" => -5,
      "C" => -2,
      "Q" => -4,
      "E" => -3,
      "G" => -4,
      "H" => -1,
      "I" =>  0,
      "L" =>  1,
      "K" => -4,
      "M" =>  0,
      "F" =>  8,
      "P" => -4,
      "S" => -3,
      "T" => -2,
      "W" =>  1,
      "Y" =>  4,
      "V" => -1,
      "B" => -4,
      "J" =>  1,
      "Z" => -4,
      "X" => -1,
      "*" => -5
    },
    "P" => {
      "A" => -1,
      "R" => -3,
      "N" => -2,
      "D" => -1,
      "C" => -4,
      "Q" => -1,
      "E" => -1,
      "G" => -2,
      "H" => -2,
      "I" => -3,
      "L" => -4,
      "K" => -1,
      "M" => -3,
      "F" => -4,
      "P" =>  10,
      "S" => -1,
      "T" => -1,
      "W" => -4,
      "Y" => -3,
      "V" => -3,
      "B" => -2,
      "J" => -3,
      "Z" => -1,
      "X" => -1,
      "*" => -5
    },
    "S" => {
      "A" =>  1,
      "R" => -1,
      "N" =>  1,
      "D" =>  0,
      "C" => -1,
      "Q" =>  0,
      "E" => -1,
      "G" =>  0,
      "H" => -1,
      "I" => -3,
      "L" => -3,
      "K" =>  0,
      "M" => -2,
      "F" => -3,
      "P" => -1,
      "S" =>  5,
      "T" =>  2,
      "W" => -4,
      "Y" => -2,
      "V" => -2,
      "B" =>  0,
      "J" => -3,
      "Z" =>  0,
      "X" => -1,
      "*" => -5
    },
    "T" => {
      "A" =>  0,
      "R" => -1,
      "N" =>  0,
      "D" => -1,
      "C" => -1,
      "Q" => -1,
      "E" => -1,
      "G" => -2,
      "H" => -2,
      "I" => -1,
      "L" => -1,
      "K" => -1,
      "M" => -1,
      "F" => -2,
      "P" => -1,
      "S" =>  2,
      "T" =>  5,
      "W" => -3,
      "Y" => -2,
      "V" =>  0,
      "B" =>  0,
      "J" => -1,
      "Z" => -1,
      "X" => -1,
      "*" => -5
    },
    "W" => {
      "A" => -3,
      "R" => -3,
      "N" => -4,
      "D" => -5,
      "C" => -5,
      "Q" => -1,
      "E" => -3,
      "G" => -3,
      "H" => -3,
      "I" => -3,
      "L" => -2,
      "K" => -3,
      "M" => -1,
      "F" =>  1,
      "P" => -4,
      "S" => -4,
      "T" => -3,
      "W" =>  15,
      "Y" =>  2,
      "V" => -3,
      "B" => -5,
      "J" => -2,
      "Z" => -2,
      "X" => -1,
      "*" => -5
    },
    "Y" => {
      "A" => -2,
      "R" => -1,
      "N" => -2,
      "D" => -3,
      "C" => -3,
      "Q" => -1,
      "E" => -2,
      "G" => -3,
      "H" =>  2,
      "I" => -1,
      "L" => -1,
      "K" => -2,
      "M" =>  0,
      "F" =>  4,
      "P" => -3,
      "S" => -2,
      "T" => -2,
      "W" =>  2,
      "Y" =>  8,
      "V" => -1,
      "B" => -3,
      "J" => -1,
      "Z" => -2,
      "X" => -1,
      "*" => -5
    },
    "V" => {
      "A" =>  0,
      "R" => -3,
      "N" => -3,
      "D" => -4,
      "C" => -1,
      "Q" => -3,
      "E" => -3,
      "G" => -4,
      "H" => -4,
      "I" =>  4,
      "L" =>  1,
      "K" => -3,
      "M" =>  1,
      "F" => -1,
      "P" => -3,
      "S" => -2,
      "T" =>  0,
      "W" => -3,
      "Y" => -1,
      "V" =>  5,
      "B" => -3,
      "J" =>  2,
      "Z" => -3,
      "X" => -1,
      "*" => -5
    },
    "B" => {
      "A" => -2,
      "R" => -1,
      "N" =>  5,
      "D" =>  6,
      "C" => -3,
      "Q" =>  0,
      "E" =>  1,
      "G" => -1,
      "H" =>  0,
      "I" => -4,
      "L" => -4,
      "K" =>  0,
      "M" => -3,
      "F" => -4,
      "P" => -2,
      "S" =>  0,
      "T" =>  0,
      "W" => -5,
      "Y" => -3,
      "V" => -3,
      "B" =>  6,
      "J" => -4,
      "Z" =>  1,
      "X" => -1,
      "*" => -5
    },
    "J" => {
      "A" => -2,
      "R" => -3,
      "N" => -4,
      "D" => -4,
      "C" => -2,
      "Q" => -3,
      "E" => -3,
      "G" => -4,
      "H" => -3,
      "I" =>  4,
      "L" =>  4,
      "K" => -3,
      "M" =>  2,
      "F" =>  1,
      "P" => -3,
      "S" => -3,
      "T" => -1,
      "W" => -2,
      "Y" => -1,
      "V" =>  2,
      "B" => -4,
      "J" =>  4,
      "Z" => -3,
      "X" => -1,
      "*" => -5
    },
    "Z" => {
      "A" => -1,
      "R" =>  0,
      "N" =>  0,
      "D" =>  1,
      "C" => -3,
      "Q" =>  4,
      "E" =>  5,
      "G" => -2,
      "H" =>  0,
      "I" => -3,
      "L" => -3,
      "K" =>  1,
      "M" => -1,
      "F" => -4,
      "P" => -1,
      "S" =>  0,
      "T" => -1,
      "W" => -2,
      "Y" => -2,
      "V" => -3,
      "B" =>  1,
      "J" => -3,
      "Z" =>  5,
      "X" => -1,
      "*" => -5
    },
    "X" => {
      "A" => -1,
      "R" => -1,
      "N" => -1,
      "D" => -1,
      "C" => -1,
      "Q" => -1,
      "E" => -1,
      "G" => -1,
      "H" => -1,
      "I" => -1,
      "L" => -1,
      "K" => -1,
      "M" => -1,
      "F" => -1,
      "P" => -1,
      "S" => -1,
      "T" => -1,
      "W" => -1,
      "Y" => -1,
      "V" => -1,
      "B" => -1,
      "J" => -1,
      "Z" => -1,
      "X" => -1,
      "*" => -5
    },
    "*" => {
      "A" => -5,
      "R" => -5,
      "N" => -5,
      "D" => -5,
      "C" => -5,
      "Q" => -5,
      "E" => -5,
      "G" => -5,
      "H" => -5,
      "I" => -5,
      "L" => -5,
      "K" => -5,
      "M" => -5,
      "F" => -5,
      "P" => -5,
      "S" => -5,
      "T" => -5,
      "W" => -5,
      "Y" => -5,
      "V" => -5,
      "B" => -5,
      "J" => -5,
      "Z" => -5,
      "X" => -5,
      "*" =>  1
    }
  }
end
